be.fgov.ehealth.consultrn._1_0.core

## Class BirthDeceaseType

- java.lang.Object
- - be.fgov.ehealth.consultrn._1_0.core.BirthDeceaseType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:07:12+02:00",
                 comments="JAXB RI v2.2.11")
      public class BirthDeceaseType
      extends Object
      implements Serializable

  information about the birth/decease of a person

  Java class for BirthDeceaseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="BirthDeceaseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Date" type="{urn:be:fgov:ehealth:consultRN:1_0:core}IncompleteDateType"/>
               <element name="Localisation" type="{urn:be:fgov:ehealth:consultRN:1_0:core}WhereType" minOccurs="0"/>
             </sequence>
             <attribute name="ModificationDate" type="{urn:be:fgov:ehealth:consultRN:1_0:core}IncompleteDateType" />
             <attribute name="Origin" type="{urn:be:fgov:ehealth:consultRN:1_0:core}OriginType" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BirthDeceaseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDate()` Gets the value of the date property.
    `WhereType` | `getLocalisation()` Gets the value of the localisation property.
    `String` | `getModificationDate()` Gets the value of the modificationDate property.
    `OriginType` | `getOrigin()` Gets the value of the origin property.
    `void` | `setDate(String value)` Sets the value of the date property.
    `void` | `setLocalisation(WhereType value)` Sets the value of the localisation property.
    `void` | `setModificationDate(String value)` Sets the value of the modificationDate property.
    `void` | `setOrigin(OriginType value)` Sets the value of the origin property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BirthDeceaseType

          public BirthDeceaseType()

  - ### Method Detail

    - #### getDate

          public String getDate()

      Gets the value of the date property.
      Returns:
        possible object is `String`

    - #### setDate

          public void setDate(String value)

      Sets the value of the date property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLocalisation

          public WhereType getLocalisation()

      Gets the value of the localisation property.
      Returns:
        possible object is `WhereType`

    - #### setLocalisation

          public void setLocalisation(WhereType value)

      Sets the value of the localisation property.
      Parameters:
        `value` - allowed object is `WhereType`

    - #### getModificationDate

          public String getModificationDate()

      Gets the value of the modificationDate property.
      Returns:
        possible object is `String`

    - #### setModificationDate

          public void setModificationDate(String value)

      Sets the value of the modificationDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOrigin

          public OriginType getOrigin()

      Gets the value of the origin property.
      Returns:
        possible object is `OriginType`

    - #### setOrigin

          public void setOrigin(OriginType value)

      Sets the value of the origin property.
      Parameters:
        `value` - allowed object is `OriginType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.